import sys
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.permissions import AddPortalContent
from Products.CMFCore import utils
from Products.Archetypes.public import process_types, listTypes

this_module = sys.modules[ __name__ ]
 
product_globals = globals()
 
import salesforcebaseconnector
tools = ( salesforcebaseconnector.SalesforceBaseConnector,
          )

# Make the skins available as DirectoryViews
registerDirectory('skins', globals())
registerDirectory('skins/salesforcebaseconnector', globals())

def initialize(context):
    utils.ToolInit('Salesforce Base Connector',
                    tools = tools,
                    product_name = 'salesforcebaseconnector',
                    icon='salesforce.gif' 
                    ).initialize( context )
